import hu.elte.geometry.Point;

class Distance {

    public static void main(String[] args) {
        checkArguments(args);
        double sumOfDistances = 0;

        for (int i = 0; i < args.length - 3; i+=2) {
            Point p1 = new Point(Integer.parseInt(args[i]), Integer.parseInt(args[i+1]));
            Point p2 = new Point(Integer.parseInt(args[i+2]), Integer.parseInt(args[i+3]));
            sumOfDistances += Point.getDistance(p1, p2);
        }

        System.out.println("Sum of distances: " + sumOfDistances);
    }

    private static void checkArguments(String[] args) {
        if (args.length < 4) {
            throw new IllegalArgumentException("At least four floating point numbers are expected which represent two points in a Cartesian coordinate system.");
        }
        if (args.length % 2 != 0) {
            throw new IllegalArgumentException("Even number of floating point numbers are expected which represent points in a Cartesian coordinate system.");
        }
    }
}